ApiResourcesOrder line items

Search an order's line items

Filter and sort the InvoiceV2 accounting snapshots belonging to one order.

POST
/v2/orders/{order}/line-items/search

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Path Parameters

order*integer

The parent order ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://sell.app/api/v2/orders/0/line-items/search" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": [
    {
      "id": 9001,
      "order": {
        "id": 4001,
        "status": "COMPLETED",
        "payment_method": "STRIPE",
        "customer_id": 501,
        "created_at": "2026-07-10T14:00:00.000000Z",
        "updated_at": "2026-07-10T14:01:00.000000Z"
      },
      "status": "COMPLETED",
      "product": {
        "id": 101,
        "title": "Writer Community Access"
      },
      "variant": {
        "id": 201,
        "title": "Monthly"
      },
      "customer_id": 501,
      "quantity": 1,
      "currency": "USD",
      "currency_rate": "1",
      "payment_method": "STRIPE",
      "amounts": {
        "unit_price": "10.0000",
        "subtotal_cents": 1000,
        "credit_cents": null,
        "total_exclusive_cents": 1000,
        "total_exclusive_usd_cents": 1000,
        "total_cents": 1000,
        "total_usd_cents": 1000,
        "revenue_cents": 950,
        "revenue_usd_cents": 950,
        "fee_cents": 50,
        "fee_rate": 5
      },
      "discounts": {
        "coupon": null,
        "modifiers": []
      },
      "tax": {},
      "promotion": null,
      "referral": null,
      "subscription": {
        "id": 7001,
        "provider": "stripe",
        "status": "ACTIVE",
        "current_period_start": "2026-07-10T14:00:00.000000Z",
        "current_period_end": "2026-08-10T14:00:00.000000Z",
        "cancel_at_period_end": false
      },
      "fulfillment": {
        "deliveries_count": 1,
        "delivered_quantity": 1,
        "types": [
          "DYNAMIC"
        ],
        "first_delivered_at": "2026-07-10T14:01:00.000000Z",
        "last_delivered_at": "2026-07-10T14:01:00.000000Z"
      },
      "created_at": "2026-07-10T14:00:00.000000Z",
      "updated_at": "2026-07-10T14:01:00.000000Z"
    }
  ],
  "links": {},
  "meta": {}
}
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "Rule not found."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}